[Numpy-discussion] [ANN] NumPy 1.0b4 now available

bruce.who.hk bruce.who.hk at gmail.com
Wed Aug 30 03:06:01 CDT 2006

Hi, Travis

I tried numpy1.0b4 and add this to setup.py

includes = ["numpy.core._internal"]

then it works! And all scripts can be packed into a single executables with 
        zipfile = None,

--skip_archive option is not needed now.

>I suspect you need to force-include the numpy/core/_internal.py file by 
>specifying it in your setup.py file as explained on the py2exe site. 
>That module is only imported by the multiarraymodule.c file which I 
>suspect py2exe can't automatically discern.
>In 1.0 we removed the package-loader issues which are probably giving 
>the scipy-style subpackage errors.  So, very likely you might be O.K. 
>with the beta releases of 1.0 as long as you tell py2exe about 
>numpy/core/_internal.py so that it gets included in the distribution.
>Please post any successes.


More information about the Numpy-discussion mailing list